<template>
  <div
    class="card rounded overflow-hidden border border-grey mb-3"
    :class="{ 'border-green': green, 'border-red': red }"
    :style="{ width: width }"
    @click="onClick"
  >
    <div class="flex justify-between">
      <p class="text-title inline-flex items-center mb-2">
        {{ title }}
        <span v-if="verified" class="ml-1">
          <Verified />
        </span>
      </p>
      <p class="text-alt mb-2">{{ radius }}</p>
    </div>
    <p class="text-desc">{{ desc }}</p>
    <p class="text-note">
      <span v-if="userVerified && verified" class="text-yellow">Telah diverifikasi oleh {{ name }}</span>
      <span v-else-if="verified">oleh {{ name }}</span>
      <span v-if="!userVerified && !verified" class="text-red">Belum diverifikasi {{ name }}</span>
    </p>
  </div>
</template>

<script>
const Verified = () => import('~/components/Icons/verified');
export default {
  components: {
    Verified,
  },
  props: {
    onClick: {
      type: Function,
      default: () => {},
    },
    title: {
      type: String,
      default: 'title',
    },
    name: {
      type: String,
      default: 'title',
    },
    radius: {
      type: String,
      default: '',
    },
    verified: {
      type: Boolean,
      default: false,
    },
    userVerified: {
      type: Boolean,
      default: false,
    },
    green: {
      type: Boolean,
      default: false,
    },
    red: {
      type: Boolean,
      default: false,
    },
    width: {
      type: String,
      default: 'auto',
    },
    itemDetails: {
      type: Array,
      default: () => [],
    },
  },
  computed: {
    desc() {
      if (this.itemDetails && this.itemDetails.length > 0) {
        let value = '';
        for (let i = 0; i < this.itemDetails.length; i++) {
          value += `${this.itemDetails[i].name} ${this.itemDetails[i].quantity}`;
          value = value.trim();
          if (i < this.itemDetails.length - 1) {
            value += ', ';
          }
        }
        return value;
      }
      return null;
    },
  },
};
</script>

<style lang="scss" scoped>
.card {
  min-height: 72px;
  padding: 8px 15px 8px;
  cursor: pointer;
}
.text-title {
  font-size: 15px;
  line-height: 20px;
  font-weight: 600;
  margin-bottom: 3px;
}
.text-desc {
  font-size: 12px;
  line-height: 14px;
}
.text-alt {
  font-size: 12px;
  font-weight: 600;
  line-height: 20px;
  margin: 0;
}
.text-note {
  font-size: 10px;
  line-height: 20px;
}

.border-grey {
  border-color: $grey-darker;
  &.border-green {
    border-left: 8px solid $green;
  }
  &.border-red {
    border-left: 8px solid $red-alt;
  }
}
.text- {
  &yellow {
    color: $yellow;
  }
  &red {
    color: $red;
  }
}
.dark-mode {
  .text-title {
    color: $grey;
  }
  .text-desc {
    color: $white;
  }
  .text-alt {
    color: $white;
  }
  .text-note {
    color: $grey;
  }
}
.light-mode {
  .text-title {
    color: $black-alt;
  }
  .text-desc,
  .text-alt,
  .text-note {
    color: $black;
  }
}
</style>
